List code projects linked to a target, maximum is 20 per target
GET/targets/:target_id/integrations/snyk-sast/code-projects/
Request
Path Parameters
target_id stringrequired
Query Parameters
ordering string
Which field to use when ordering the results.
search string
A search term.
Responses
- 200
- 400
- 401
- 403
- 500
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
id string
A unique Base58 value identifying this object.
scope stringrequired
A unique Base58 value identifying this object.
project_id uuidrequired
project_name string
Possible values: <= 256 characters
target_id uuidrequired
target_name string
Possible values: <= 256 characters
org_id uuidrequired
org_name string
Possible values: <= 256 characters
target_file string
Possible values: <= 256 characters
[
{
"id": "string",
"scope": "string",
"project_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"project_name": "string",
"target_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"target_name": "string",
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"org_name": "string",
"target_file": "string"
}
]
- application/json
- Schema
- Example (from schema)
Schema
error string
{
"error": "Invalid JWT."
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "Incorrect authentication credentials."
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "You do not have permission to perform this action."
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "Unexpected error while handling your request."
}
Loading...